# Solid Event

Solid Event serves 3 way to display events:

- Default one to list, create and edit events
- Simple List to display 5 by 5 events

## How to use

Once the package is installed, you can use the `solid-event` component:

```html
<html>
  <head>
    <!-- import the module in the head of the page -->
    <script type="module" src="https://cdn.jsdelivr.net/npm/@startinblox/component-event"></script>
  </head>

  <body>
    <!-- use the component -->
    <solid-event
      data-src="http://mydatasrc"
      range-event-region="http://myeventregionrange"
      range-event-type="http://myrangetype"
      upload-dir="http://myuploadsrc"
    ></solid-event>
  </body>
</html>
```

### Parameters

| Name               | Default              | Description                                                     |
| ------------------ | -------------------- | :-------------------------------------------------------------- |
| data-src           | `undefined`          | Data source of your resource container                          |
| post-uri           | `undefined`          | Where to post new resources                                     |
| upload-dir         | `undefined`          | Upload container                                                |
| range-event-region | `undefined`          | Region container                                                |
| range-event-type   | `undefined`          | Type container                                                  |
| range-event-circle | ``                   | (Optional) Circles container                                    |
| displayMode        | ``                   | (Optional) undefined, simplelist                                |
| extra-context      | `{}`                 | (Optional) Custom extra context                                 |
| nested-field       | ``                   | (Optional) Target a nested field of your data-src               |
| past-events        | ``                   | (Optional) Set to `hidden` to disable past events               |
| visiblecheckbox    | ``                   | (Optional) Set to `hidden` to disable visible checkbox          |
| visibilityregions  | ``                   | (Optional) Set to `hidden` to disable regions                   |
| post-types-uri     | `range-event-type`   | (Optional) Where to post new types                              |
| post-region-uri    | `range-event-region` | (Optional) Where to post new regions                            |
| route-event        | `events`             | (Optional) Route for your main event component from simple list |
| uniq               | `auto`               | (Optional) Do not generate an uniq                              |

## Developpers

Installation:

```bash
npm install
```

Build with:

```bash
npm run build
```

Watch files & rebuild on change with this command:

```bash
npm run watch
```
