/// <reference types="Cypress" />
/* globals cy, expect */

context("Solid-event automatic tests", () => {
  before(() => {
    cy.clearLocalStorageSnapshot();
  });
  beforeEach(() => cy.restoreLocalStorage());
  afterEach(() => cy.saveLocalStorage());
  it("should login", () => cy.userLogin());

  //CREATE AN EVENT
  it("Create an event", () => {
    //FILL FORM TO CREATE EVENT
    cy.get('solid-link[next="default-newevent"]').click({ force: true });
    cy.get("#default-newevent").within(() => {
      //check pattern name and required fields
      cy.get('solid-form-label-text input[name="name"]').type(
        "Website redirect"
      );
      cy.get('input[name="startDate"]').type("2025-01-01");
      cy.get('event-solid-form-dropdown-label-addable[name="type"]').within(
        () => {
          cy.get("select").select("Coaching session 12 January 2021", {
            force: true,
          });
        }
      );
      cy.get('input[name="endDate"]').type("2025-01-02");
      cy.get('textarea[name="shortDescription"]').type("Short descr");
      cy.get('textarea[name="longDescription"]').type("Long description");
      cy.get('input[name="location.name"]').type("Gare de Rennes");
      cy.get('solid-form-label-text[name="link"] > input').type(
        "http://corndog.io/"
      );
      cy.get('input[type="submit"]').last().click();
    });
  });

  //CHECK WEBSITE LINK REDIRECTION
  /*
  it('Site redirection', () => {
    cy.get('solid-set-default > solid-display-value[value="Website redirect"]').parent().within(()=> {
      cy.get('event-display-link-event[name="link"]').find('a').invoke('removeAttr', 'target').click();
    });
    cy.url().should('include','corndog.io');
    cy.go('back');
  });*/
});
