/**
 * @type {import('semantic-release').GlobalConfig}
 */
module.exports = {
  branches: [
    "master",
    {
      name: "beta",
      prerelease: true,
    },
    {
      name: "alpha",
      prerelease: true,
    },
  ],
  plugins: [
    [
      "@semantic-release/commit-analyzer",
      {
        preset: "angular",
        releaseRules: [
          {
            type: "major",
            release: "major",
          },
          {
            type: "minor",
            release: "minor",
          },
          {
            type: "*",
            release: "patch",
          },
        ],
      },
    ],
    "@semantic-release/release-notes-generator",
    "@semantic-release/gitlab",
    "@semantic-release/npm",
  ],
};
