import componentName from "@helpers/componentName";

export default function setupOrbit(component) {
  if (window.orbit) {
    component.localize = (key) => {
      if (!key in component.strings) {
        console.warn(`Missing location string: ${key}`);
      }
      return (
        window.orbit.intl.t(`${componentName}.${key}`) ||
        component.strings[key] ||
        key
      );
    };
    component.getRoute = window.orbit.getRoute;
  } else {
    component.getRoute = () => componentName;
  }
}
